Sign in to follow this  
adribar

PMDG 747-400 Queen of the Skies II - Base Package. Prepar3D v.3/v.4 .

Recommended Posts

Hi. On 02 March 2017 I purchased the PMDG 747-400 Queen of the Skies II - Base Package for Prepar3D v.3 (1861-48). Is it compatible with Prepar3D v.4 or do I have to download a new version? Today I did the installation in Prepar3D v.4, but started the flight I was not asked for the serial number of the product; The aircraft has powered engines, all power off panels, and inactive mouse pointer. Thank you.

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

2 minutes ago, adribar said:

Hi. On 02 March 2017 I purchased the PMDG 747-400 Queen of the Skies II - Base Package for Prepar3D v.3 (1861-48). Is it compatible with Prepar3D v.4 or do I have to download a new version? Today I did the installation in Prepar3D v.4, but started the flight I was not asked for the serial number of the product; The aircraft has powered engines, all power off panels, and inactive mouse pointer. Thank you.

Anonymous (full names are required in the forum as per forum rules),

If it installed into P3Dv4 then it is compatible with that sim. What version of the 747 are you running?

Share this post


Link to post
Share on other sites

See here for installation instructions.

I think you will need to re-download the installer if yours is from March.  And uninstall all 747 stuff from P3D v3 and v4 if you somehow got it in there first.

 

Share this post


Link to post
Share on other sites

The product I'm using is PMDG 747-400 Queen of the Skies II - Base Package for Prepar3D (1861-48), purchased on 2/3/2017 which worked well with P3D v.3. Do I confirm that I need to download an updated version for P3D v.4? Is it free? What is the procedure for downloading the update? Thank you.

Share this post


Link to post
Share on other sites

Nothing to confirm, just redownload from your account on the PMDG website.  you need to read the install instructions as you have to uninstall first then install and then run the Ops Center (please read the instructions rather than following my notes, I am doing this from memory and may have missed a step).

Share this post


Link to post
Share on other sites
6 hours ago, adribar said:

The product I'm using is PMDG 747-400 Queen of the Skies II - Base Package for Prepar3D (1861-48), purchased on 2/3/2017 which worked well with P3D v.3. Do I confirm that I need to download an updated version for P3D v.4? Is it free? What is the procedure for downloading the update? Thank you.

Anonymous, again how many posts will it take.

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this